> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../treble-mixed-bet-pre-match-and-live-rejected.md).

# Treble Mixed Bet (Pre-match and Live) - Rejected

This treble ticket was placed from a retail shop with the ID of "shopId": "shop\_789135". No other end customer information is known. The first selection in the bet is a pre-match selection ("productId": "3"), the second selection is a live selection, whereas the third selection is a pre-match selection on a winner of an outright. The stake amount is 50 euros, which is also the system currency so no currency conversion took place.\
The ticket contains only one bet (the Bets array length = 1), which further contains three selections (treble), the Selections array length = 3.

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_5129",
    "bets": [
      {
        "selections": [
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:14938771",
            "marketId": "223",
            "outcomeId": "1715",
            "specifiers": "hcp=1.5",
            "odds": {
              "type": "decimal",
              "value": "1.1"
            }
          },
          {
            "type": "uf",
            "productId": "1",
            "eventId": "sr:match:15163591",
            "marketId": "1",
            "outcomeId": "2",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.48"
            }
          },
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:season:55413",
            "marketId": "534",
            "outcomeId": "pre:outcometext:9919",
            "specifiers": "variant=pre:markettext:60279",
            "odds": {
              "type": "decimal",
              "value": "1.1"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "50"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "retail",
        "shopId": "shop_789135"
      },
      "limitId": 1409
    }
  },
  "correlationId": "Lskh2398fgAS",
  "timestampUtc": 1678886959000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response    (contains a negative response from MTS)</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "hlDfZ5uX5+SftXxb4+M0Mp3sN7v4cZPEfXBdX4T32qw=",
    "status": "rejected",
    "ticketId": "Ticket_5129",
    "code": -407,
    "message": "Outright is not active in MTS, Selection: productId:3, marketId:534, outcomeId:pre:outcometext:9919, specifiers:variant=pre:markettext:60279, Outright: sr:season:55413 ",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14938771",
              "marketId": "223",
              "outcomeId": "1715",
              "specifiers": "hcp=1.5",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:15163591",
              "marketId": "1",
              "outcomeId": "2",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.48"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:season:55413",
              "marketId": "534",
              "outcomeId": "pre:outcometext:9919",
              "specifiers": "variant=pre:markettext:60279",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            "code": -407,
            "message": "Outright is not active in MTS, Selection: productId:3, marketId:534, outcomeId:pre:outcometext:9919, specifiers:variant=pre:markettext:60279, Outright: sr:season:55413  "
          }
        ],
        "code": -407,
        "message": "Outright is not active in MTS, Selection: productId:3, marketId:534, outcomeId:pre:outcometext:9919, specifiers:variant=pre:markettext:60279, Outright: sr:season:55413  "
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "Lskh2398fgAS",
  "timestampUtc": 1678886960000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../treble-mixed-bet-pre-match-and-live-rejected.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
